/* -*-c-mode-*- */
/*------------------------------------------------------
 *  CONCATENATE_PLANES.C - Concatenate plane files
 *  Robert Heller Created on Thu Jul 13 08:55:04 1989
 *  Last mod - 
 *--------------------------------------------------------
 *  Contents:
 *--------------------------------------------------------
 * (c) Copyright 1989 by The University of Massachusetts
 *------------------------------------------------------*/

#include <stdio.h>

#include <llvs_per_plane.h>

char *malloc();

main(argc,argv)
int argc;
char *argv[];
{

    register PLANE **planes;
    register PLANE_INFO **plane_infos;
    register char **assoc_lists;
    register int iplane, plane_count;

    plane_count = argc - 2;
    if (plane_count < 1) usage();
    planes = (PLANE **) malloc(plane_count * sizeof(PLANE *));
    if (planes == NULL) {
	perror(argv[0]);
	exit(12);
	}
    plane_infos = (PLANE_INFO **) malloc(plane_count * sizeof(PLANE_INFO *));
    if (plane_infos == NULL) {
	perror(argv[0]);
	exit(12);
	}
    assoc_lists = (char **) malloc(plane_count * sizeof(char *));
    if (assoc_lists == NULL) {
	perror(argv[0]);
	exit(12);
	}
    for (iplane = 0; iplane < plane_count; iplane++) {
	read_plane(&planes[iplane],&plane_infos[iplane],&assoc_lists[iplane],
		   argv[iplane+1]);
	}
    write_multiple_planes(planes,plane_infos,assoc_lists,plane_count,argv[plane_count+1]);
    }

usage()
{
    fprintf(stderr,"usage: concatenate_planes inpl1 inpl2 ... outputpl\n");
    fprintf(stderr,"Concatenate several LLVS planes into one file\n\n");
    exit(12);
    }
